12 de abr de 2011

Empathy com problema de certificado

Para acessar o chat do Facebook pelo meu Empathy, sempre abria um aviso dizendo que precisava confirmar o certificado, por mais que eu clicasse na opção pra memorizar.

Pesquisei um pouco e achei uma dica que resolveu o meu problema.

1. Abra o Firefox e entre no www.facebook.com logando normalmente na sua conta.
Vá em Editar -> Preferências -> Avançado -> Certificados
Procure a seção DigiCert
Selecione "DigiCert High Assurance CA-3"
Exporte como "X.509 Certificate (PEM)" para /tmp/DigiCertHighAssuranceCA-3.crt

2. Abra um terminal
sudo cp /tmp/DigiCertHighAssuranceCA-3.crt /usr/share/ca-certificates/mozilla/DigiCert_High_Assurance_CA-3.crt
sudo dpkg-reconfigure ca-certificates
Selecione o novo DigiCert_High_Assurance_CA-3.crt e aperte espaço nele e depois confirme em OK.

3. Desconecte e conecte o Empaphy


Pronto! Problema resolvido.

Só lembrando que já foi aberto um bug no lauchpad do empathy. Vá lá e clique em "Does this bug affect you?" para eles saberem que está lhe afetando. A dica foi retirada desse link. Créditos para marmotte31